Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.data.sequences
Class ShortSequence

    java.lang.Object
      de.jstacs.data.Sequence
          de.jstacs.data.sequences.DiscreteSequence
              de.jstacs.data.sequences.ShortSequence

All Implemented Interfaces:
  Comparable<Sequence>

    public class ShortSequence

extends DiscreteSequence

This class can be used for discrete `AlphabetContainer`s with alphabets that use many different symbols.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.data.Sequence
`Sequence.CompositeSequence, Sequence.SubSequence`

Field Summary

Fields inherited from class de.jstacs.data.Sequence
`alphabetCon, annotation, rc`

Constructor Summary
`ShortSequence(AlphabetContainer alphabetContainer, SequenceAnnotation[] annotation, String sequence, String delim)` Creates a new sequence from a string representation using the delimiter `delim`.
`ShortSequence(AlphabetContainer alphabetContainer, SequenceAnnotation[] annotation, SymbolExtractor extractor)` Creates a new sequence from a `SymbolExtractor`.
`ShortSequence(AlphabetContainer alphabetContainer, short[] content)` This constructor is designed for the method `AbstractModel.emitSample(int, int...)`.
`ShortSequence(AlphabetContainer alphabetContainer, String sequence)` Creates a new sequence from a string representation using the default delimiter.

Method Summary
`int` | `discreteVal(int pos)` Returns the discrete value of position `pos`.
`protected Sequence` | `flatCloneWithoutAnnotation()` Works in analogy to `Object.clone()`, but does not clone the annotation.
`int` | `getLength()` Returns the length of the sequence

Methods inherited from class de.jstacs.data.sequences.DiscreteSequence
`continuousVal`

Methods inherited from class de.jstacs.data.Sequence
`annotate, compareTo, complement, complement, create, create, create, equals, getAlphabetContainer, getAnnotation, getCompositeSequence, getCompositeSequence, getSubSequence, getSubSequence, getSubSequence, getSubSequence, hashCode, reverse, reverse, reverseComplement, reverseComplement, toDiscrete, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortSequence

    public ShortSequence(AlphabetContainer alphabetContainer,
                         short[] content)
                  throws WrongAlphabetException,
                         WrongSequenceTypeException

  This constructor is designed for the method `AbstractModel.emitSample(int, int...)`.

  Parameters:
    `alphabetContainer` - the alphabet container for the sequence
    `content` - an array containing the encoded symbols
  Throws:
    `WrongAlphabetException` - if the sequence is not defined over `alphabetContainer`
    `WrongSequenceTypeException` - if the `alphabetContainer` contains alphabets that can not be encoded with shorts
  See Also:
    `AbstractModel.emitSample(int, int...)`

### ShortSequence

    public ShortSequence(AlphabetContainer alphabetContainer,
                         String sequence)
                  throws WrongAlphabetException,
                         WrongSequenceTypeException

  Creates a new sequence from a string representation using the default delimiter.

  Parameters:
    `alphabetContainer` - the alphabet container for the sequence
    `sequence` - a string representation of the sequence
  Throws:
    `WrongAlphabetException` - if the sequence is not defined over `alphabetContainer`
    `WrongSequenceTypeException` - if the `alphabetContainer` contains alphabets that can not be encoded with shorts

### ShortSequence

    public ShortSequence(AlphabetContainer alphabetContainer,
                         SequenceAnnotation[] annotation,
                         String sequence,
                         String delim)
                  throws WrongAlphabetException,
                         WrongSequenceTypeException

  Creates a new sequence from a string representation using the delimiter `delim`.

  Parameters:
    `alphabetContainer` - the alphabet container for the sequence
    `annotation` - the annotation for this sequence
    `sequence` - a string representation of the sequence
    `delim` - the delimiter, a string that separates the symbols
  Throws:
    `WrongAlphabetException` - if the sequence is not defined over `alphabetContainer`
    `WrongSequenceTypeException` - if the `alphabetContainer` contains alphabets that can not be encoded with shorts

### ShortSequence

    public ShortSequence(AlphabetContainer alphabetContainer,
                         SequenceAnnotation[] annotation,
                         SymbolExtractor extractor)
                  throws WrongAlphabetException,
                         WrongSequenceTypeException

  Creates a new sequence from a `SymbolExtractor`.

  Parameters:
    `alphabetContainer` - the alphabet container for the sequence
    `annotation` - the annotation for this sequence
    `extractor` - the `SymbolExtractor`
  Throws:
    `WrongAlphabetException` - if the sequence is not defined over `alphabetContainer`
    `WrongSequenceTypeException` - if the `alphabetContainer` contains alphabets that can not be encoded with shorts

Method Detail

### discreteVal

    public int discreteVal(int pos)

  Description copied from class: `Sequence`
  Returns the discrete value of position `pos`.

  Specified by:
    `discreteVal` in class `Sequence`
  Parameters:
    `pos` - the position
  Returns:
    the discrete value of position `pos`

### getLength

    public int getLength()

  Description copied from class: `Sequence`
  Returns the length of the sequence

  Specified by:
    `getLength` in class `Sequence`
  Returns:
    the length

### flatCloneWithoutAnnotation

    protected Sequence flatCloneWithoutAnnotation()

  Description copied from class: `Sequence`
  Works in analogy to `Object.clone()`, but does not clone the annotation. This method is used in `Sequence.annotate(boolean, SequenceAnnotation...)`.

  Specified by:
    `flatCloneWithoutAnnotation` in class `Sequence`
  Returns:
    the cloned `Sequence.CompositeSequence` without annotation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD